Package net.snowflake.client.core

## Class SFOauthLoginInput

- java.lang.Object
- - net.snowflake.client.core.SFOauthLoginInput

    @SnowflakeJdbcInternalApi
    public class SFOauthLoginInput
    extends Object

### Constructor Summary

Constructors
`SFOauthLoginInput​(String clientId, String clientSecret, String redirectUri, String authorizationUrl, String tokenRequestUrl, String scope)`
`SFOauthLoginInput​(String clientId, String clientSecret, String redirectUri, String authorizationUrl, String tokenRequestUrl, String scope, boolean enableSingleUseRefreshTokens)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAuthorizationUrl()`
`String` `getClientId()`
`String` `getClientSecret()`
`boolean` `getEnableSingleUseRefreshTokens()`
`String` `getRedirectUri()`
`String` `getScope()`
`String` `getTokenRequestUrl()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SFOauthLoginInput

    public SFOauthLoginInput​(String clientId,
                             String clientSecret,
                             String redirectUri,
                             String authorizationUrl,
                             String tokenRequestUrl,
                             String scope)

#### SFOauthLoginInput

    public SFOauthLoginInput​(String clientId,
                             String clientSecret,
                             String redirectUri,
                             String authorizationUrl,
                             String tokenRequestUrl,
                             String scope,
                             boolean enableSingleUseRefreshTokens)

### Method Detail

#### getRedirectUri

    public String getRedirectUri()

#### getClientId

    public String getClientId()

#### getClientSecret

    public String getClientSecret()

#### getAuthorizationUrl

    public String getAuthorizationUrl()

#### getTokenRequestUrl

    public String getTokenRequestUrl()

#### getScope

    public String getScope()

#### getEnableSingleUseRefreshTokens

    public boolean getEnableSingleUseRefreshTokens()